%define requires_file() %( readlink -f '%*' | LC_ALL=C xargs -r rpm -q --qf 'Requires: %%{name} >= %%{epoch}:%%{version}\\n' -f | sed -e 's/ (none):/ /' -e 's/ 0:/ /' | grep -v "is not")

Name:           gegl04
Version:        0.4.46
Release:        2
Summary:        Generic Graphics Library
License:        GPL-3.0-or-later AND LGPL-3.0-or-later
Group:          Productivity/Graphics/Other
URL:            http://gegl.org/
Source0:        https://download.gimp.org/pub/gegl/0.4/gegl-%{version}.tar.xz
Source99:       baselibs.conf

BuildRequires:  ImageMagick
BuildRequires:  asciidoc
BuildRequires:  gcc-c++
BuildRequires:  graphviz
BuildRequires:  gtk-doc
BuildRequires:  libstdc++-devel
BuildRequires:  meson >= 0.50.0
BuildRequires:  pkgconfig
BuildRequires:  ruby
BuildRequires:  suitesparse-devel
BuildRequires:  pkgconfig(OpenEXR) >= 1.6.1
BuildRequires:  pkgconfig(babl-0.1) >= 0.1.76
BuildRequires:  pkgconfig(cairo) >= 1.12.2
BuildRequires:  pkgconfig(exiv2) >= 0.25
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gthread-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(lcms2) >= 2.8
BuildRequires:  pkgconfig(lensfun) >= 0.2.5
BuildRequires:  pkgconfig(libpng) >= 1.6.0
BuildRequires:  pkgconfig(libraw) >= 0.15.4
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.40.6
BuildRequires:  pkgconfig(sdl2) >= 2.0.5
BuildRequires:  pkgconfig(libtiff-4) >= 4.0.0
BuildRequires:  pkgconfig(libv4l1) >= 1.0.1
BuildRequires:  pkgconfig(libv4l2) >= 1.0.1
BuildRequires:  pkgconfig(libwebp) >= 0.5.0
BuildRequires:  pkgconfig(luajit)
BuildRequires:  babl-vala
BuildRequires:  pkgconfig(pango) >= 1.38.0
BuildRequires:  pkgconfig(pangocairo) >= 1.38.0
BuildRequires:  pkgconfig(poppler-glib) >= 0.71.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.2.0
BuildRequires:  pkgconfig(libspiro)
BuildRequires:  pkgconfig(vapigen) >= 0.20.0
BuildRequires:  pkgconfig(libavcodec) >= 55.69.100
BuildRequires:  pkgconfig(libavformat) >= 55.48.100
BuildRequires:  pkgconfig(libavutil) >= 55.92.100
BuildRequires:  pkgconfig(libswscale) >= 2.6.100
Provides:       %{name}-0_3-orig-addon = %{version}
Obsoletes:      %{name}-0_3-orig-addon < 0.3.5
Provides:       gegl-unstable = %{version}
Obsoletes:      gegl-unstable < 0.3.28
Requires:       libgegl-0_4-0 >= %{version}
Conflicts:      gegl04-tools
Provides:       gegl04-tools = %{version}-%{release}

%description
GEGL provides infrastructure to do demand based cached non destructive
image editing on larger than RAM buffers. Through babl, it provides
support for a wide range of color models and pixel storage formats for
input and output.

%package -n libgegl-0_4-0
Summary:        Generic Graphics Library
Group:          System/Libraries
Requires:       gegl04 >= %{version}
%requires_file  %{_libdir}/libbabl-0.1.so

%description -n libgegl-0_4-0
GEGL provides infrastructure to do demand based cached non destructive
image editing on larger than RAM buffers. Through babl, it provides
support for a wide range of color models and pixel storage formats for
input and output.

%package devel
Summary:        Development files for the GEGL "Generic Graphics Library"
Group:          Development/Libraries/C and C++
Requires:       libgegl-0_4-0 = %{version}

%description devel
GEGL provides infratructure to do demand based cached non destructive
image editing on larger than RAM buffers. Through babl, it provides
support for a wide range of color models and pixel storage formats for
input and output.

%prep
%autosetup -p1 -n gegl-%{version}

%build
%meson \
	-Dmrg=disabled \
	-Dmaxflow=disabled \
	-Dlibav=enabled \
	-Dworkshop=true \
	-Djasper=disabled \
	-Ddocs=false \
	%{nil}
%meson_build

%install
%meson_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang gegl-0.4

%post   -n gegl04 -p /sbin/ldconfig
%postun -n gegl04 -p /sbin/ldconfig

%post   -n libgegl-0_4-0 -p /sbin/ldconfig
%postun -n libgegl-0_4-0 -p /sbin/ldconfig

%files -f gegl-0.4.lang
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp
%dir %{_libdir}/gegl-0.4/
%{_libdir}/gegl-0.4/*.so
%{_libdir}/libgegl-sc-0.4.so
%{_libdir}/libgegl-npd-0.4.so
%{_libdir}/gegl-0.4/grey2.json
%{_libdir}/gegl-0.4/dropshadow2.json
%dir %{_datadir}/gegl-0.4/
%{_datadir}/gegl-0.4/lua/

%files -n libgegl-0_4-0
%license COPYING COPYING.LESSER
%{_libdir}/libgegl-0.4.so.*
%{_libdir}/girepository-1.0/Gegl-0.4.typelib

%files devel
%{_includedir}/gegl-0.4/
%{_libdir}/libgegl-0.4.so
%{_libdir}/pkgconfig/gegl-0.4.pc
%{_libdir}/pkgconfig/gegl-sc-0.4.pc
%{_datadir}/gir-1.0/Gegl-0.4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gegl-0.4.deps
%{_datadir}/vala/vapi/gegl-0.4.vapi

%changelog
* Thu Oct 19 2023 xu_ping <707078654@qq.com> - 0.4.46-2
- Modified buildrequires due to babl upgrade 0.1.106

* Wed Jul 12 2023 yaoxin <yao_xin001@hoperun.com> - 0.4.46-1
- Update to 0.4.46

* Sat May 6 2023 liyanan <thistleslyn@163.com> - 0.4.34-3
- Fix make compatible with LibRaw 0.21.0 

* Fri Jan 13 2023 yaoxin <yaoxin30@h-partners.com> - 0.4.34-2
- Fix build error

* Thu Mar 31 2022 wangkai <wangkai385@huawei.com> - 0.4.34-1
- Update to 0.4.34

* Wed Aug 25 2021 chenchen <chen_aka_jan@163.com> - 0.4.30-1
- update to 0.4.30

* Mon Aug 2 2021 Haiwei Li <lihaiwei8@huawei.com> - 0.4.8-5
- Fix complication failed due to gcc upgrade

* Wed Jul 21 2021 caodongxia <caodongxia@huawei.com> - 0.4.8-4
- Fix C linkage

* Thu Jan 23 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.8-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the jasper

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.8-2
- Package init
